List Registry Sync Jobs Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}/sync-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}/sync-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}/sync-jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"resource_kind": "<string>",
"resource_name": "<string>",
"status": "<string>",
"error_message": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"stop_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"tasks": []
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
List Registry Sync Jobs Endpoint
GET
/
api
/
v1
/
org
/
helm
/
registries
/
{registry_name}
/
sync-jobs
List Registry Sync Jobs Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}/sync-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}/sync-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}/sync-jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"resource_kind": "<string>",
"resource_name": "<string>",
"status": "<string>",
"error_message": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"stop_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"tasks": []
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
253Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Maximum string length:
64Maximum string length:
64Maximum string length:
64Maximum string length:
4Maximum string length:
200